Index: flexpart_code/grib2nc4/fp2nc4io_mod.F90
===================================================================
--- flexpart_code/grib2nc4/fp2nc4io_mod.F90	(revision 8624a75e20c0cc6dff42b4eb97182a138f9aa1e7)
+++ flexpart_code/grib2nc4/fp2nc4io_mod.F90	(revision efd26ca615b8535c771ab93d38ce22b29ca7343e)
@@ -9,4 +9,11 @@
     !                                                               *
     !  May 2016                                                     *
+    !                                                               *
+    !  2017-12-03 DJM -                                             *
+    !                                                               *
+    !  - Changed NF90_DOUBLE to NF90 FLOAT (6 places)               *
+    !  - Cleaned up long lines from addition of NC descriptions     *
+    !                                                               *
+    !                                                               *
     !                                                               *
     !****************************************************************
@@ -155,8 +162,9 @@
 
         ! Write the height field - variable 'height' is defined in com_mod
-        ncfunc_retval = nf90_def_var(ncid, 'height', NF90_DOUBLE, &
+        ncfunc_retval = nf90_def_var(ncid, 'height', NF90_FLOAT, &
 &                                    z_dimid, varid)
 ! attributes
-            ncfunc_retval = nf90_put_att(ncid, varid, "description","height of the FLEXPART model levels")
+            ncfunc_retval = nf90_put_att(ncid, varid, "description",&
+&                                  "height of the FLEXPART model levels")
             ncfunc_retval = nf90_put_att(ncid, varid, "units","m a.g.l")
 
@@ -170,29 +178,33 @@
         ! Write some of the scalar metadata variables
         ! dx, dy, xlon0, xlat0 are all defined in com_mod 
-        ncfunc_retval = nf90_def_var(ncid, 'dx', NF90_DOUBLE, varid)
+        ncfunc_retval = nf90_def_var(ncid, 'dx', NF90_FLOAT, varid)
         ncfunc_retval = nf90_put_var(ncid, varid, dx)
 ! attributes
-            ncfunc_retval = nf90_put_att(ncid, varid, "description","grid distance in x direction")
+            ncfunc_retval = nf90_put_att(ncid, varid, "description",&
+&                                  "grid distance in x direction")
             ncfunc_retval = nf90_put_att(ncid, varid, "units","degrees")
 
 
-        ncfunc_retval = nf90_def_var(ncid, 'dy', NF90_DOUBLE, varid)
+        ncfunc_retval = nf90_def_var(ncid, 'dy', NF90_FLOAT, varid)
         ncfunc_retval = nf90_put_var(ncid, varid, dy)
 ! attributes
-            ncfunc_retval = nf90_put_att(ncid, varid, "description","grid distance in y direction")
+            ncfunc_retval = nf90_put_att(ncid, varid, "description",&
+&                                   "grid distance in y direction")
             ncfunc_retval = nf90_put_att(ncid, varid, "units","degrees")
 
 
-        ncfunc_retval = nf90_def_var(ncid, 'xlon0', NF90_DOUBLE, varid)
+        ncfunc_retval = nf90_def_var(ncid, 'xlon0', NF90_FLOAT, varid)
         ncfunc_retval = nf90_put_var(ncid, varid, xlon0)
 ! attributes
-            ncfunc_retval = nf90_put_att(ncid, varid, "description","longitude of the lowest left corner")
+            ncfunc_retval = nf90_put_att(ncid, varid, "description",&
+&                                "longitude of the lowest left corner")
             ncfunc_retval = nf90_put_att(ncid, varid, "units","degrees")
 
 
-        ncfunc_retval = nf90_def_var(ncid, 'ylat0', NF90_DOUBLE, varid)
+        ncfunc_retval = nf90_def_var(ncid, 'ylat0', NF90_FLOAT, varid)
         ncfunc_retval = nf90_put_var(ncid, varid, ylat0)
 ! attributes
-            ncfunc_retval = nf90_put_att(ncid, varid, "description","latitude of the lowest left corner")
+            ncfunc_retval = nf90_put_att(ncid, varid, "description",&
+&                                "latitude of the lowest left corner")
             ncfunc_retval = nf90_put_att(ncid, varid, "units","degrees")
 
@@ -298,5 +310,5 @@
 
         ! Create the variable in the NetCDF file
-        ncfunc_retval = nf90_def_var(ncid, nc_varname, NF90_DOUBLE, &
+        ncfunc_retval = nf90_def_var(ncid, nc_varname, NF90_FLOAT, &
 &                                    dimids, varid)
 
@@ -316,5 +328,6 @@
 &                                        uu(0:nx-1, 0:ny-1, 1:nz, 1))
 ! attributes
-            ncfunc_retval = nf90_put_att(ncid, varid, "description","U component of wind in the X[horizontal] direction")
+            ncfunc_retval = nf90_put_att(ncid, varid, "description",&
+&                        "U component of wind in the X[horizontal] direction")
             ncfunc_retval = nf90_put_att(ncid, varid, "units","m s**-1")
 
@@ -324,5 +337,6 @@
 &                                        vv(0:nx-1, 0:ny-1, 1:nz, 1))
 ! attributes
-            ncfunc_retval = nf90_put_att(ncid, varid, "description","V component of wind in the Y[horizontal] direction")
+            ncfunc_retval = nf90_put_att(ncid, varid, "description",&
+&                         "V component of wind in the Y[horizontal] direction")
             ncfunc_retval = nf90_put_att(ncid, varid, "units","m s**-1")
 
@@ -332,5 +346,6 @@
 &                                        tt(0:nx-1, 0:ny-1, 1:nz, 1))
 ! attributes
-            ncfunc_retval = nf90_put_att(ncid, varid, "description","temperature")
+            ncfunc_retval = nf90_put_att(ncid, varid, "description",&
+&                                    "temperature")
             ncfunc_retval = nf90_put_att(ncid, varid, "units","k")
 
@@ -339,5 +354,6 @@
 &                                        ww(0:nx-1, 0:ny-1, 1:nz, 1))
 ! attributes
-            ncfunc_retval = nf90_put_att(ncid, varid, "description","wind component in the Z[vertical] direction")
+            ncfunc_retval = nf90_put_att(ncid, varid, "description",&
+&                             "wind component in the Z[vertical] direction")
             ncfunc_retval = nf90_put_att(ncid, varid, "units","m s**-1")
 
@@ -347,5 +363,6 @@
 &                                        qv(0:nx-1, 0:ny-1, 1:nz, 1))
 ! attributes
-            ncfunc_retval = nf90_put_att(ncid, varid, "description","specific humidity")
+            ncfunc_retval = nf90_put_att(ncid, varid, "description",&
+&                              "specific humidity")
             ncfunc_retval = nf90_put_att(ncid, varid, "units"," ")
 
